FrodoParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.frodo

## Class FrodoParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.frodo.FrodoParameters

- All Implemented Interfaces:
    CipherParameters, KEMParameters

  Deprecated.
  the standardised FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see FrodoKEMParameters / FrodoKEMParameterSpec). This is the legacy NIST round 3 (unsalted, eFrodoKEM) implementation, retained for backwards compatibility.

      @Deprecated
      public class FrodoParameters
      extends java.lang.Object
      implements KEMParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FrodoParameters` | `frodokem1344aes` Deprecated.
    `static FrodoParameters` | `frodokem1344shake` Deprecated.
    `static FrodoParameters` | `frodokem640aes` Deprecated.
    `static FrodoParameters` | `frodokem640shake` Deprecated.
    `static FrodoParameters` | `frodokem976aes` Deprecated.
    `static FrodoParameters` | `frodokem976shake` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Deprecated.
    `int` | `getSessionKeySize()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### frodokem640aes

          public static final FrodoParameters frodokem640aes

      Deprecated.

    - #### frodokem640shake

          public static final FrodoParameters frodokem640shake

      Deprecated.

    - #### frodokem976aes

          public static final FrodoParameters frodokem976aes

      Deprecated.

    - #### frodokem976shake

          public static final FrodoParameters frodokem976shake

      Deprecated.

    - #### frodokem1344aes

          public static final FrodoParameters frodokem1344aes

      Deprecated.

    - #### frodokem1344shake

          public static final FrodoParameters frodokem1344shake

      Deprecated.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Deprecated.

    - #### getSessionKeySize

          public int getSessionKeySize()

      Deprecated.